# IO (ARX API Documentation)

org.deidentifier.arx.metric.v2

## Class IO

- java.lang.Object
- - org.deidentifier.arx.metric.v2.IO

-     public class IO
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IO()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.carrotsearch.hppc.IntIntOpenHashMap` | `readIntIntOpenHashMap(java.io.ObjectInputStream stream)` Reads a hash map from the stream.
    `static com.carrotsearch.hppc.LongDoubleOpenHashMap` | `readLongDoubleOpenHashMap(java.io.ObjectInputStream stream)` Reads a hash map from the stream.
    `static void` | `writeIntIntOpenHashMap(java.io.ObjectOutputStream stream, com.carrotsearch.hppc.IntIntOpenHashMap hashmap)` Reads a hash map from the stream.
    `static void` | `writeLongDoubleOpenHashMap(java.io.ObjectOutputStream stream, com.carrotsearch.hppc.LongDoubleOpenHashMap hashmap)` Reads a hash map from the stream.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IO

          public IO()

  - ### Method Detail

    - #### readIntIntOpenHashMap

          public static com.carrotsearch.hppc.IntIntOpenHashMap readIntIntOpenHashMap(java.io.ObjectInputStream stream)
                                                                               throws java.lang.ClassNotFoundException,
                                                                                      java.io.IOException

      Reads a hash map from the stream.
      Parameters:
        `stream` -
      Returns:
      Throws:
        `java.lang.ClassNotFoundException`
        `java.io.IOException`

    - #### readLongDoubleOpenHashMap

          public static com.carrotsearch.hppc.LongDoubleOpenHashMap readLongDoubleOpenHashMap(java.io.ObjectInputStream stream)
                                                                                       throws java.lang.ClassNotFoundException,
                                                                                              java.io.IOException

      Reads a hash map from the stream.
      Parameters:
        `stream` -
      Returns:
      Throws:
        `java.lang.ClassNotFoundException`
        `java.io.IOException`

    - #### writeIntIntOpenHashMap

          public static void writeIntIntOpenHashMap(java.io.ObjectOutputStream stream,
                                    com.carrotsearch.hppc.IntIntOpenHashMap hashmap)
                                             throws java.io.IOException

      Reads a hash map from the stream.
      Parameters:
        `stream` -
        `hashmap` -
      Throws:
        `java.io.IOException`

    - #### writeLongDoubleOpenHashMap

          public static void writeLongDoubleOpenHashMap(java.io.ObjectOutputStream stream,
                                        com.carrotsearch.hppc.LongDoubleOpenHashMap hashmap)
                                                 throws java.io.IOException

      Reads a hash map from the stream.
      Parameters:
        `stream` -
        `hashmap` -
      Throws:
        `java.io.IOException`